%define patch_name	kernel-feat-i2c

Name: %patch_name
Version: 2.8.7
Release: alt2

Summary: %patch_name kernel patch - I2C driver updates and fixes
License: GPL
Group: Development/Other
URL: http://secure.netroedge.com/~lm78/
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>
BuildArch: noarch

Source0: %url/archive/i2c-%version.tar.bz2

# http://www.ensicaen.ismra.fr/~delvare/devel/i2c/
%source     1	linux-2.4.25-i2c-2.8.4-drivers-acorn-char.diff			patches
%source     2	linux-2.4.25-i2c-2.8.4-drivers-i2c-Config.in.diff		patches/01_apply_to_2.4.25
%source 10002	linux-2.4.25-i2c-2.8.4-drivers-i2c-Config.in.diff		patches/01_apply_to_2.4.26
%source     3	linux-2.4.25-i2c-2.8.4-drivers-i2c-i2c-adap-ite.c.diff		patches
%source     4	linux-2.4.25-i2c-2.8.4-drivers-i2c-i2c-algo-ite.c.diff		patches
%source     5	linux-2.4.25-i2c-2.8.4-drivers-i2c-i2c-algo-sgi.c.diff		patches
%source     6	linux-2.4.25-i2c-2.8.4-drivers-i2c-i2c-algo-sibyte.c.diff	patches
%source     7	linux-2.4.25-i2c-2.8.4-drivers-i2c-i2c-keywest.c.diff		patches
%source     8	linux-2.4.25-i2c-2.8.4-drivers-i2c-i2c-max1617.c.diff		patches
%source     9	linux-2.4.25-i2c-2.8.4-drivers-i2c-i2c-sibyte.c.diff		patches
%source    10	linux-2.4.25-i2c-2.8.4-drivers-i2c-Makefile.diff		patches
%source    11	linux-2.4.25-i2c-2.8.4-drivers-i2c-scx200_acb.c.diff		patches
%source    12	linux-2.4.25-i2c-2.8.4-drivers-i2c-scx200_i2c.c.diff		patches
%source    13	linux-2.4.25-i2c-2.8.4-drivers-ieee1394.diff			patches
%source    14	linux-2.4.25-i2c-2.8.4-drivers-media-video.diff			patches
%source    15	linux-2.4.25-i2c-2.8.4-drivers-sound-dmasound.diff		patches
%source    16	linux-2.4.25-i2c-2.8.4-drivers-usb.diff				patches
%source    17	linux-2.4.25-i2c-2.8.4-drivers-video-matrox.diff		patches
%source    18	linux-2.4.26-i2c-2.8.7-ppos-fixes.patch				patches

Source1000: %name.sh.in

BuildPreReq: kernel-build-tools

%description
This patch updates the I2C subsystem in the kernel to the latest version.

%install
%install_patches
%__install -p -m644 %SOURCE0 %patches_dir/%patch_name/

%__mkdir_p %patches_dir/apply/
%__sed -e 's/@VERSION@/%version/g' < %SOURCE1000 > %patches_dir/apply/%name
%__chmod 755 %patches_dir/apply/%name

%files
%_usrsrc/*

%changelog
* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 2.8.7-alt2
- Added:
  + linux-2.4.26-i2c-2.8.7-ppos-fixes.patch: CAN-2004-0415

* Sun Jun 20 2004 Sergey Vlasov <vsu@altlinux.ru> 2.8.7-alt1
- 2.8.7 release.

* Thu May 06 2004 Sergey Vlasov <vsu@altlinux.ru> 2.8.4-alt2
- Updated for kernel 2.4.26.
- Use %%install_patches macro.

* Mon Feb 23 2004 Sergey Vlasov <vsu@altlinux.ru> 2.8.4-alt1
- 2.8.4 release.
- Updated for kernel 2.4.25.
- Removed obsolete patches:
  - 01_i2c-2.8.0-fixes.patch
  - 02_i2c-2.8.0-more-fixes.patch
- Added patches for 2.4.25.

* Sun Feb 01 2004 Sergey Vlasov <vsu@altlinux.ru> 2.8.3-alt1
- 2.8.3 release.

* Sun Dec 14 2003 Sergey Vlasov <vsu@altlinux.ru> 2.8.2-alt1
- 2.8.2 release.

* Sun Oct 19 2003 Sergey Vlasov <vsu@altlinux.ru> 2.8.1-alt1
- 2.8.1 release.
- Removed patches: 03_i2c-2.8.0-check-addr-fix.patch,
  04_i2c-2.8.0-i2c-dev-fix.patch (fixed upstream).
- Removed old cruft from spec.

* Fri Sep 12 2003 Sergey Vlasov <vsu@altlinux.ru> 2.8.0-alt5
- removed bttv patch (relocated to kernel-feat-bttv)

* Mon Sep 01 2003 Rider <rider@altlinux.ru> 2.8.0-alt4
- update for kernel 2.4.22

* Mon Aug 04 2003 Sergey Vlasov <vsu@altlinux.ru> 2.8.0-alt3
- Added:
  + 04_i2c-2.8.0-i2c-dev-fix.patch - i2c-dev bugfix (memory leak and unsafe
    userspace pointer dereference).

* Wed Jul 23 2003 Sergey Vlasov <vsu@altlinux.ru> 2.8.0-alt2
- Reverted apply method to the one used in 2.7.0-alt1 (call mkpatch.pl from the
  apply script).
- Enhanced the apply script to make it apply additional patches.

* Tue Jul 22 2003 Sergey Vlasov <vsu@altlinux.ru> 2.8.0-alt1
- 2.8.0 release.
- Changed apply method: run mkpatch.pl during package build time, not at apply
  time. Now this package uses the standard apply method.
- Added patches:
  + i2c-2.8.0-fixes - changes to other in-kernel drivers to make them work with
    the new I2C API.
  + i2c-2.8.0-more-fixes.patch - fixes to the above fixes :-)
  + bttv-i2c-2.8.0.patch - modification to kernel-feat-bttv for the new I2C API
    (applied only if kernel-feat-bttv was applied previously).
   + i2c-2.8.0-check-addr-fix.patch - fixes check for duplicate addresses.

* Sun Jun 22 2003 Sergey Vlasov <vsu@altlinux.ru> 2.7.0-alt1
- First version.
